## org.eclipse.jst.jsf.facesconfig.emf
Interface OrderingOrderingType

All Known Implementing Classes:
  OrderingOrderingTypeImpl

    public interface OrderingOrderingType

A representation of the model object 'Ordering Ordering Type'.

The following features are supported:

- `Name`
- `Others`

See Also:
  `FacesConfigPackage.getOrderingOrderingType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getName()` Returns the value of the 'Name' containment reference list.
`OrderingOthersType` `getOthers()` Returns the value of the 'Others' containment reference
`void` `setOthers(OrderingOthersType value)` Sets the value of the '`Others`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    EList getName()

  Returns the value of the 'Name' containment reference list. The list contents are of type `NameType`.

  If the meaning of the 'Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' containment reference list.
  See Also:
    `FacesConfigPackage.getOrderingOrderingType_Name()`

### getOthers

    OrderingOthersType getOthers()

  Returns the value of the 'Others' containment reference.

  If the meaning of the 'Others' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Others' containment reference.
  See Also:
    `setOthers(OrderingOthersType)`, `FacesConfigPackage.getOrderingOrderingType_Others()`

### setOthers

    void setOthers(OrderingOthersType value)

  Sets the value of the '`Others`' containment reference.

  Parameters:
    `value` - the new value of the 'Others' containment reference.
  See Also:
    `getOthers()`